Retrieve Refresh Intent
curl --request GET \
--url https://api.fintoc.com/v1/refresh_intents/{id}import requests
url = "https://api.fintoc.com/v1/refresh_intents/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fintoc.com/v1/refresh_intents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"id\": \"ri_2dXqkOKkS9mOvnaW\",\n \"object\": \"refresh_intent\",\n \"refreshed_object\": \"link\",\n \"refreshed_object_id\": \"link_nzwA3XWYiZkg4ojK\",\n \"status\": \"succeeded\",\n \"created_at\": \"2021-08-23T18:22:46.792Z\",\n \"type\": \"only_last\"\n}""{\n \"error\": {\n \"type\": \"invalid_request_error\",\n \"message\": \"Invalid access token for link: link_nzwA3XWYiZkg4ojK_token_*********************kP68\",\n \"code\": \"invalid_link_token\",\n \"param\": \"link_token\",\n \"doc_url\": \"https://docs.fintoc.com/reference#errores\"\n }\n}"Refresh Intents
Retrieve Refresh Intent
GET
/
refresh_intents
/
{id}
Retrieve Refresh Intent
v1 · Base URL https://api.fintoc.com/v1Headers
Fintoc Secret Key
Path Parameters
The id of the Refresh Intent to get.
Query Parameters
The access token of the Link that holds the refresh intent to retrieve, returned when creating said Link.
Was this page helpful?